"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _withUnimodules = _interopRequireDefault(require("@expo/webpack-config/withUnimodules"));

var _utils = require("@expo/webpack-config/utils");

const resolvableExtensions = () => (0, _utils.getModuleFileExtensions)('web');

function onCreateBabelConfig({
  actions
}, options) {
  actions.setBabelPreset({
    name: require.resolve(`babel-preset-expo`),
    options
  });
}

function onCreateWebpackConfig({
  actions,
  getConfig
}) {
  const gatsbyConfig = getConfig();

  if (!gatsbyConfig.context) {
    throw new Error('Expected Gatsby config to provide the root context');
  }

  let config;

  try {
    config = (0, _withUnimodules.default)(gatsbyConfig);
  } catch (error) {
    console.error(error);
    process.exit(1);
  }

  actions.replaceWebpackConfig(config);
}

exports.resolvableExtensions = resolvableExtensions;
exports.onCreateBabelConfig = onCreateBabelConfig;
exports.onCreateWebpackConfig = onCreateWebpackConfig;